## libpwiz 3.0.4624

=== debian/changelog ===
libpwiz (3.0.4624-6ubuntu2) trusty; urgency=medium

  * Switch to dh_autoreconf to get new libtool macros for ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 21 Dec 2013 10:45:09 -0700

libpwiz (3.0.4624-6ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Dec 2013 23:32:13 -0500

libpwiz (3.0.4624-6) unstable; urgency=low

  * debian/control: add libpwiz-tools binary package to ship binaries that
    make use of libpwiz. Part of these binaries used to be shipped in
    /usr/lib/libpwiz3/example-files/, but that is a suboptimal setting
    (thanks to Olivier Langella for this input).
  * The example source code files have been moved from
    /usr/lib/libpwiz3/example-files/ to
    /usr/share/doc/libpwiz3/example-files/.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 04 Dec 2013 20:18:44 +0100

libpwiz (3.0.4624-5ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Dec 2013 02:01:56 -0500

libpwiz (3.0.4624-5) unstable; urgency=low

  * Set Build-Depends libboost-*-dev to (>= 1.54.0) (Closes: #731064).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 04 Dec 2013 15:39:59 +0100

libpwiz (3.0.4624-4) unstable; urgency=low

  * debian/rules: Run dh_fixperms after generating the symbols and shlibs
    files so that the correct permissions are set for them also.  Lintian
    was complaining.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 15 Nov 2013 17:05:30 +0100

libpwiz (3.0.4624-3ubuntu1) trusty; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Nov 2013 09:59:22 +0000

libpwiz (3.0.4624-3) unstable; urgency=low

  * debian/control: set entries in Build-Depends about Boost libs on
    unversioned -dev packages (Closes: #722189). This time rebuild the
    binary package.
  
 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Nov 2013 10:24:59 +0100

libpwiz (3.0.4624-2) unstable; urgency=low

  * debian/control: set entries in Build-Depends about Boost libs on
    unversioned -dev packages (Closes: #722189).
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 30 Oct 2013 20:53:16 +0100

libpwiz (3.0.4624-1) unstable; urgency=low

  * New upstream release (Closes: #693044);
  
  * debian/control: Vcs-Git and Vcs-Browser now use the canonical URIs;
  
  * debian/copyright : fixes to the format and made a general overview
    after new upstream release;
  
  * debian/control: Standards-Version: 3.9.4;
  
  * debian/control: add dependency on autotools-dev to lift the lintian
    warning complaining about outdated-autotools-helper-file
    autotools/config.guess 2006-07-02;
  
  * add #DEBHELPER# to libpwiz3.postinst to lift the lintian complaining
    that maintainer-script-lacks-debhelper-token debian/libpwiz3.postinst;
  
 -- Filippo Rusconi <lopippo@debian.org>  Thu, 29 Aug 2013 16:22:04 +0200

libpwiz (3.0.4098-2) UNRELEASED; urgency=low

  * Initial release (Closes: #693044).
  
  * Fix to the version of the license for the debian/* files.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 05 Nov 2012 21:37:18 +0100

libpwiz (3.0.4098-1) experimental; urgency=low

  * Initial release (Closes: #693044).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 05 Nov 2012 21:37:18 +0100
