## libpwiz 3.0.6585

=== debian/changelog ===
libpwiz (3.0.6585-2) unstable; urgency=medium

  * mv upstream upstream/metadata

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 18 Aug 2014 11:44:11 +0200

libpwiz (3.0.6585-1) unstable; urgency=medium

  * New upstream version.
  
  * Patch to fix autotools-based boost-related glitches.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Aug 2014 17:09:10 +0200

libpwiz (3.0.4624-10) unstable; urgency=medium

  * Fix the libpwiz: run dh-autoreconf to update config.{sub, guess} and
    {libtool, aclocal}.m4 bug reported by Breno Leitao
    (<brenohl@br.ibm.com>) (Closes: #748764).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Aug 2014 15:21:21 +0200

libpwiz (3.0.4624-9) unstable; urgency=low

  * debian/rules: apply patch from Dejan Latinovic
    <Dejan.Latinovic@imgtec.com> to fix the build problem on mips/mipsel
    platforms that was not resolved as of version 3.0.4624-8. Closing bug,
    this time for good, hopefully. (Closes: #738137).
  
 -- Filippo Rusconi <lopippo@debian.org>  Sun, 02 Mar 2014 12:53:59 +0100

libpwiz (3.0.4624-8) unstable; urgency=low

  * debian/rules: remove the parallel build on mips and mipsel hosts to
    try to reduce memory exhaustion upon build (Closes: #738137). Thanks to
    Andreas Beckmann <anbe@debian.org> for reporting it and to Michael
    Banck <mbanck@debian.org> for sharing knowledge on dpkg-architecture
    features.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Feb 2014 14:29:13 +0100

libpwiz (3.0.4624-7) unstable; urgency=low

  * remove libboost atomic stuff from the source directory at build-time
    so that the system-based libboost stuff is used instead. This mixing
    "local" source code with system-based libboost binaries was causing
    build failures. Thanks to Aurelien Jarno <aurelien@aurel32.net> for
    the forensic work around this build failure (Closes: #731064).

  * Standards-Version: 3.9.5.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 04 Jan 2014 23:53:45 +0100
