=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libpwiz
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
-               dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
                chrpath (>= 0.13),
+               dh-autoreconf,
                doxygen (>= 1.8.1.2),
 	       docbook-to-man,
                libboost-program-options-dev (>= 1.54.0),
@@ -19,7 +18,7 @@
                libfftw3-dev (>= 3.3.2),
                libgd2-xpm-dev (>= 2.0.35),
                autotools-dev (>= 20130515.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://proteowizard.sourceforge.net/downloads.shtml
 Vcs-Git: git://anonscm.debian.org/debichem/packages/libpwiz.git
