=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_ARCH          ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 DEBIAN_DIR = $(CURDIR)/debian
 BUILD_DIR = $(DEBIAN_DIR)/build
@@ -31,15 +32,27 @@
 	CXXFLAGS += -O2
 endif
 
+# For debugging purposes
+# DEB_BUILD_OPTIONS += " parallel=4 "
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-         NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-         MAKEFLAGS += -j$(NUMJOBS)
-endif
+# parallel is found in the debian build options
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
+ifeq (,$(NUMJOBS))
+	NUMJOBS=1
+endif
+
+# Finally set the real variable.
+MAKEFLAGS += -j$(NUMJOBS)
 
 $(info "---------------------------------------")
+$(info DEB_HOST_GNU_TYPE: $(DEB_HOST_GNU_TYPE))
+$(info DEB_BUILD_GNU_TYPE $(DEB_BUILD_GNU_TYPE))
+$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
 $(info NUMJOBS: $(NUMJOBS))
 $(info MAKEFLAGS: $(MAKEFLAGS))
-$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
 $(info "---------------------------------------")
 
 # Hardening stuff, see http://wiki.debian.org/Hardening
@@ -49,7 +62,9 @@
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
 
-# .NOTPARALLEL: 
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
+       CXXFLAGS += --param ggc-min-expand=5
+endif
 
 .PHONY: clean
 clean: 
@@ -57,7 +72,7 @@
 	dh_testdir
 	dh_testroot
 
-	dh_autoreconf_clean
+#	dh_autoreconf_clean
 	dh_clean
 
 	rm -f debian/msconvert.1
@@ -76,6 +91,7 @@
 build-arch-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_prep -a
+
 	dh_autoreconf
 
 	mkdir -p $(BUILD_DIR)
@@ -83,6 +99,9 @@
 	# Duplicate the source tree, since it is not easy to build the
 	# software in a separate build directory.
 	cp -rpf autotools libraries pwiz pwiz_tools $(BUILD_DIR)
+
+	# Remove parts of boost_aux now integrated in boost
+	rm -f $(BUILD_DIR)/libraries/boost_aux/boost/interprocess/detail/*
 
 	cd $(BUILD_DIR) && autotools/configure --prefix=/usr && \
 	VERBOSE=1 $(MAKE) && \
