## libpwiz 3.0.9393

=== debian/changelog ===
libpwiz (3.0.9393-1) unstable; urgency=medium

  * New upstream version.

  * debian/rules: remove the clean target from the configure target.

  * debian/control Standards-Version: 3.9.7 (no changes)

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 21 Mar 2016 16:33:44 +0100
 

libpwiz (3.0.8789-1) unstable; urgency=medium

  * New upstream version.

  * debian/control:
    Build-Depends: add libboost-chrono-dev
    Standards-Version: 3.9.6

  * libpwiz.lintian-overrides: add a bunch of overrides.

  * debian/rules: add some shell code to set the BOOST_LDPATH to the
    proper architecture-dependent lib path.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 02 Oct 2015 10:27:02 +0200

libpwiz (3.0.8642-1) unstable; urgency=medium

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 10 Jul 2015 13:56:17 +0200

libpwiz (3.0.6585-3) UNRELEASED; urgency=medium

  * debian/upstream/metadata: use correct bibtex syntax for authors list
    (thanks Andreas Tille <tille@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 09 Feb 2015 13:44:17 +0100
