=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: extra
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                chrpath (>= 0.13),
                dh-autoreconf,
                doxygen (>= 1.8.1.2),
-	       docbook-to-man,
+							 docbook-to-man,
                libboost-program-options-dev (>= 1.54.0),
                libboost-date-time-dev (>= 1.54.0),
                libboost-iostreams-dev (>= 1.54.0),
@@ -15,10 +15,12 @@
                libboost-filesystem-dev (>= 1.54.0),
                libboost-thread-dev (>= 1.54.0),
                libboost-system-dev (>= 1.54.0),
+               libboost-chrono-dev (>= 1.54.0),
                libfftw3-dev (>= 3.3.2),
-               libgd2-xpm-dev (>= 2.0.35),
-               autotools-dev (>= 20130515.1)
-Standards-Version: 3.9.5
+               libgd-dev,
+               autotools-dev (>= 20130515.1),
+               libjs-jquery
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://proteowizard.sourceforge.net/downloads.shtml
 Vcs-Git: git://anonscm.debian.org/debichem/packages/libpwiz.git
@@ -91,7 +93,8 @@
 Package: libpwiz-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: set of programs to perform proteomics data analyses (doc)
  The libpwiz library from the ProteoWizard project provides a modular
  and extensible set of open-source, cross-platform tools and
