=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,12 @@
 #!/usr/bin/make -f
-# Based on the initial work of Joey Hess and Craig Small.
-
-# There are patches in the source package
-# include /usr/share/quilt/quilt.make
-
-# Uncomment this to turn on verbose mode.
+
 export DH_VERBOSE=1
 export DH_OPTIONS=-v
-
-CMAKE=/usr/bin/cmake
 
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH          ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 DEBIAN_DIR = $(CURDIR)/debian
 BUILD_DIR = $(DEBIAN_DIR)/build
@@ -25,6 +19,8 @@
 
 PROTEOWIZ_LIB_PACKAGE = libpwiz3
 PROTEOWIZ_LIB_VERSION = 3.0.0
+PROTEOWIZ_SOFT_VERSION = 3.0.9393
+PROTEOWIZ_PACK_VERSION = $(PROTEOWIZ_SOFT_VERSION)-1
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -O0
@@ -32,27 +28,11 @@
 	CXXFLAGS += -O2
 endif
 
-# For debugging purposes
-# DEB_BUILD_OPTIONS += " parallel=4 "
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-# parallel is found in the debian build options
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
-
-ifeq (,$(NUMJOBS))
-	NUMJOBS=1
-endif
-
-# Finally set the real variable.
-MAKEFLAGS += -j$(NUMJOBS)
-
 $(info "---------------------------------------")
 $(info DEB_HOST_GNU_TYPE: $(DEB_HOST_GNU_TYPE))
 $(info DEB_BUILD_GNU_TYPE $(DEB_BUILD_GNU_TYPE))
 $(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
-$(info NUMJOBS: $(NUMJOBS))
-$(info MAKEFLAGS: $(MAKEFLAGS))
+$(info DEB_HOST_MULTIARCH: $(DEB_HOST_MULTIARCH))
 $(info "---------------------------------------")
 
 # Hardening stuff, see http://wiki.debian.org/Hardening
@@ -66,14 +46,13 @@
        CXXFLAGS += --param ggc-min-expand=5
 endif
 
+.NOTPARALLEL:
+
 .PHONY: clean
-clean: 
-# unpatch
+clean:
+	@echo "entering the clean target"
 	dh_testdir
 	dh_testroot
-
-#	dh_autoreconf_clean
-	dh_clean
 
 	rm -f debian/msconvert.1
 	rm -f debian/idconvert.1
@@ -88,27 +67,51 @@
 # Remove the generated doc/dox/html directory:
 	rm -rf doc/dox/html
 
-build-arch-stamp: $(QUILT_STAMPFN)
+	rm -f configure-stamp
+	rm -f build-arch-stamp
+	rm -f build-indep-stamp
+
+	dh_clean
+
+.PHONY: configure
+configure: 
+	@echo "entering the configure target"
 	dh_testdir
 	dh_prep -a
 
-	dh_autoreconf
-
 	mkdir -p $(BUILD_DIR)
 
-	# Duplicate the source tree, since it is not easy to build the
-	# software in a separate build directory.
+# Duplicate the source tree, since it is not easy to build the
+# software in a separate build directory.
 	cp -rpf autotools libraries pwiz pwiz_tools $(BUILD_DIR)
 
-	# Remove parts of boost_aux now integrated in boost
+# Craft a modified version of Makefile.am with a correct -L <>
+# statement for the BOOST_LDPATH flag to the linker.
+
+	echo "BOOST_LDPATH = /usr/lib/$(DEB_HOST_MULTIARCH)" > $(BUILD_DIR)/autotools/Makefile.am-tmp
+
+	cat $(BUILD_DIR)/autotools/Makefile.am >> $(BUILD_DIR)/autotools/Makefile.am-tmp
+	mv $(BUILD_DIR)/autotools/Makefile.am-tmp $(BUILD_DIR)/autotools/Makefile.am
+
+# Remove parts of boost_aux now integrated in boost
 	rm -f $(BUILD_DIR)/libraries/boost_aux/boost/interprocess/detail/*
 
-	cd $(BUILD_DIR) && autotools/configure --prefix=/usr && \
-	VERBOSE=1 $(MAKE) && \
+	cd $(BUILD_DIR)/autotools && autoreconf --force -i && cd .. && \
+	autotools/configure --prefix=/usr
+
+configure-stamp: configure
+	@echo "entering the configure-stamp target"
+	touch configure-stamp
+
+build-arch-stamp: configure-stamp
+	@echo "entering the build-arch-stamp target"
+
+	cd $(BUILD_DIR) && \
+	VERBOSE=1 BOOST_LDPATH=/usr/lib/$(DEB_HOST_MULTIARCH) $(MAKE) && \
 	VERBOSE=1 DESTDIR=$(INSTALL_DIR) $(MAKE) install
 
-	# Now that the build is fine and the built files installed,
-	# remove all the RPATH stuff from these binaries.
+# Now that the build is fine and the built files installed,
+# remove all the RPATH stuff from these binaries.
 	@echo "Removing the RPATH datum from the binaries." 
 	sh debian/remove-rpath-from-binaries.sh
 
@@ -129,8 +132,11 @@
 # html file. Note that we need the binary-arch build because the files
 # that go in the documentation are produced by the arch targets.
 build-indep-stamp: build-arch-stamp
-
+	@echo "entering the build-indep-stamp target"
 	cd doc/dox && doxygen
+
+# Remove the jquery.js file, since it is shipped in its own Debian package
+	rm -f doc/dox/html/jquery.js
 
 	touch build-indep-stamp
 
@@ -189,11 +195,11 @@
 # version $(PROTEOWIZ_LIB_VERSION)-1, which we do not want.
 	dpkg-gensymbols -P$(DEBIAN_DIR) -p$(PROTEOWIZ_LIB_PACKAGE) \
 	-v$(PROTEOWIZ_LIB_VERSION) -c2 -d \
-	-e$(BUILD_DIR)/usr/lib/libpwiz.so.3.0.0 \
+	-e$(BUILD_DIR)/usr/lib/libpwiz.so.$(PROTEOWIZ_LIB_VERSION) \
 	-O$(DEBIAN_DIR)/$(PROTEOWIZ_LIB_PACKAGE)/DEBIAN/symbols
 
 # Send the proper shared libs details for the library:
-	echo "libpwiz 3 libpwiz3 (>= 3.0.4043-1)" > \
+	echo "libpwiz 3 libpwiz3 (>= $(PROTEOWIZ_PACK_VERSION))" > \
 	$(DEBIAN_DIR)/$(PROTEOWIZ_LIB_PACKAGE)/DEBIAN/shlibs
 
 # Run the fixperms after generating the symbols and shlibs files so
@@ -209,3 +215,4 @@
 
 .PHONY: binary
 binary: binary-arch binary-indep
+
