## libpwiz 3.0.10827

=== debian/changelog ===
libpwiz (3.0.10827-4) unstable; urgency=medium

  * debian/make-included-headers-hierarchy.sh: fix script to avoid adding
    non-useful h[pp] files. Thanks to Adam Borowski <kilobyte@angband.pl>
    for reporting the bug (Closes:#878616).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Nov 2017 16:08:32 +0100

libpwiz (3.0.10827-3) unstable; urgency=medium

  * debian/control: Replace tabs with spaces. 

  * debian/control: fix libboost-dev dependency so that
    /usr/include/boost/lexical_cast.hpp is there although the library 
    fine even without it, it is required by dependencies.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 05 Jul 2017 20:25:53 +0200

libpwiz (3.0.10827-2) unstable; urgency=medium

  * debian/control: add dependency to libbost-dev. 

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 01 Jul 2017 22:52:58 +0200

libpwiz (3.0.10827-1) unstable; urgency=medium

  * New upstream version.

  * debian/control Standards-Version: 4.0.0

  * Use the trigger infrastructure to call ldconfig.
  
  * debian/copyright: thorough rework using licensecheck  + manual checking.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 27 Jun 2017 10:17:49 +0200
