=== debian/control ===
--- 
+++ 
@@ -5,26 +5,27 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                chrpath (>= 0.13),
-               dh-autoreconf,
+               libboost-tools-dev,
                doxygen (>= 1.8.1.2),
-							 docbook-to-man,
-               libboost-program-options-dev (>= 1.54.0),
-               libboost-date-time-dev (>= 1.54.0),
-               libboost-iostreams-dev (>= 1.54.0),
-               libboost-regex-dev (>= 1.54.0),
-               libboost-filesystem-dev (>= 1.54.0),
-               libboost-thread-dev (>= 1.54.0),
-               libboost-system-dev (>= 1.54.0),
-               libboost-chrono-dev (>= 1.54.0),
+               docbook-to-man,
+               libboost-program-options-dev (>= 1.56.0),
+               libboost-date-time-dev (>= 1.56.0),
+               libboost-iostreams-dev (>= 1.56.0),
+               libboost-regex-dev (>= 1.56.0),
+               libboost-filesystem-dev (>= 1.56.0),
+               libboost-thread-dev (>= 1.56.0),
+               libboost-system-dev (>= 1.56.0),
+               libboost-chrono-dev (>= 1.56.0),
+               libboost-dev (>= 1.56.0),
                libfftw3-dev (>= 3.3.2),
                libgd-dev,
-               autotools-dev (>= 20130515.1),
-               libjs-jquery
-Standards-Version: 3.9.6
+               libjs-jquery,
+               libeigen3-dev
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://proteowizard.sourceforge.net/downloads.shtml
-Vcs-Git: git://anonscm.debian.org/debichem/packages/libpwiz.git
-Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/libpwiz.git
+Vcs-Git: https://anonscm.debian.org/git/debichem/packages/libpwiz.git
+Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/libpwiz.git
 
 Package: libpwiz-dev
 Section: libdevel
