=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH          ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 DEBIAN_DIR = $(CURDIR)/debian
@@ -36,14 +36,14 @@
 $(info "---------------------------------------")
 
 # Hardening stuff, see http://wiki.debian.org/Hardening
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
-       CXXFLAGS += --param ggc-min-expand=5
+ CXXFLAGS += --param ggc-min-expand=5
 endif
 
 .NOTPARALLEL:
@@ -91,6 +91,16 @@
 	echo "BOOST_LDPATH = /usr/lib/$(DEB_HOST_MULTIARCH)" > $(BUILD_DIR)/autotools/Makefile.am-tmp
 
 	cat $(BUILD_DIR)/autotools/Makefile.am >> $(BUILD_DIR)/autotools/Makefile.am-tmp
+
+  # Now add the path to the eigen3 include dir
+	sed -i '/^AM_CPPFLAGS/ s|$$| -I "/usr/include/eigen3/Eigen"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
+
+  # Now add the path to the eigen3 nnls include dir
+	sed -i '/^AM_CPPFLAGS/ s|$$| -I "$(BUILD_DIR)/libraries/eigen3-nnls"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
+
+  # Now add the path to the CSpline include dir
+	sed -i '/^AM_CPPFLAGS/ s|$$| -I "$(BUILD_DIR)/libraries/CSpline"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
+
 	mv $(BUILD_DIR)/autotools/Makefile.am-tmp $(BUILD_DIR)/autotools/Makefile.am
 
 # Remove parts of boost_aux now integrated in boost
@@ -116,7 +126,7 @@
 	sh debian/remove-rpath-from-binaries.sh
 
 # Prepare a mirroring hierarchy for all the header files of the
-# project. The mirror is in debian/includes/libpwiz.
+# project. The mirror is in debian/includes/pwiz.
 	@echo $(shell pwd)
 	sh debian/make-included-headers-hierarchy.sh
 
@@ -142,7 +152,7 @@
 
 
 .PHONY: build
-build: 	build-arch-stamp build-indep-stamp
+build: build-arch-stamp build-indep-stamp
 
 
 .PHONY: build-indep
@@ -185,6 +195,10 @@
 	dh_strip -a
 # Do not compress the example source and binary files.
 	dh_compress -av -Xexample-files
+
+# Ensure that ldconfig is called.
+	dh_makeshlibs -a
+
 	dh_installdeb -a
 
 # Generate the symbols for libs so that the call to dh_shlibdeps -a
