## libpwiz 3.0.18342

=== debian/changelog ===
libpwiz (3.0.18342-4) unstable; urgency=low

  * Fix FTCBFS: Pass --host to configure (Closes: #970872). Thanks to Helmut
    Grohne <helmut@subdivi.de> for the bug report and the patch.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 27 Sep 2020 10:55:38 +0200

libpwiz (3.0.18342-3) unstable; urgency=low

  * Add patch by Dimitri John Ledkov <xnox@ubuntu.com> forwarded by Adrian
    Bunk <bunk@debian.org> (thanks to both of them) Closes: #960421.

    The fix is about the new gcc/boost fail to cast tribool to bool, force it.

  * Standards-Version: 4.5.0.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 11 Jun 2020 23:29:40 +0200

libpwiz (3.0.18342-2) unstable; urgency=low

  * Improve header path (move pwiz to proteowizard) to ease with nested
    directories.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 01 Feb 2019 23:38:03 +0100

libpwiz (3.0.18342-1) unstable; urgency=low

  * New upstream release. Note that for this release (and later, probably),
    the pwiz package was crafted by me according to instructions and the bjam
    build system that is used upstream.

  * Remove the nnls.h patch as this file is now shipped in the source tarball.

  * debian/rules: update to tweak the Makefile (include directories) and
    BOOST_LDPATH.

  * Update the Vcs-* fields to match the salsa-based URLs.

  * Set Priority: to optional (not extra).

  * Update d/copyright for the libraries/Eigen/nnls.h file.

  * Standards-Version: 4.2.1: no changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 07 Dec 2018 13:27:42 +0100
