=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: libpwiz
-Priority: extra
+Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                chrpath (>= 0.13),
                libboost-tools-dev,
                doxygen (>= 1.8.1.2),
                docbook-to-man,
-               libboost-program-options-dev (>= 1.56.0),
-               libboost-date-time-dev (>= 1.56.0),
-               libboost-iostreams-dev (>= 1.56.0),
-               libboost-regex-dev (>= 1.56.0),
-               libboost-filesystem-dev (>= 1.56.0),
-               libboost-thread-dev (>= 1.56.0),
-               libboost-system-dev (>= 1.56.0),
-               libboost-chrono-dev (>= 1.56.0),
-               libboost-dev (>= 1.56.0),
+               libboost-program-options-dev (>= 1.62.0),
+               libboost-date-time-dev (>= 1.62.0),
+               libboost-iostreams-dev (>= 1.62.0),
+               libboost-regex-dev (>= 1.62.0),
+               libboost-filesystem-dev (>= 1.62.0),
+               libboost-thread-dev (>= 1.62.0),
+               libboost-system-dev (>= 1.62.0),
+               libboost-chrono-dev (>= 1.62.0),
+               libboost-dev (>= 1.62.0),
                libfftw3-dev (>= 3.3.2),
                libgd-dev,
                libjs-jquery,
                libeigen3-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://proteowizard.sourceforge.net/downloads.shtml
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/libpwiz.git
-Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/libpwiz.git
+Vcs-Browser: https://salsa.debian.org/debichem-team/libpwiz
+Vcs-Git: https://salsa.debian.org/debichem-team/libpwiz.git
 
 Package: libpwiz-dev
 Section: libdevel
