=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 export DH_VERBOSE=1
 export DH_OPTIONS=-v
 
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 DEBIAN_DIR = $(CURDIR)/debian
 BUILD_DIR = $(DEBIAN_DIR)/build
@@ -59,6 +56,9 @@
 	rm -f debian/mscat.1
 	rm -f debian/txt2mzml.1
 
+# Remove the configure script that is shipped with the source tarball
+	rm -f autools/conf.log autools/config.status
+
 	rm -rf $(BUILD_DIR)
 
 # Remove the generated includes directory:
@@ -95,19 +95,20 @@
   # Now add the path to the eigen3 include dir
 	sed -i '/^AM_CPPFLAGS/ s|$$| -I "/usr/include/eigen3/Eigen"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
 
-  # Now add the path to the eigen3 nnls include dir
-	sed -i '/^AM_CPPFLAGS/ s|$$| -I "$(BUILD_DIR)/libraries/eigen3-nnls"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
-
-  # Now add the path to the CSpline include dir
-	sed -i '/^AM_CPPFLAGS/ s|$$| -I "$(BUILD_DIR)/libraries/CSpline"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
+  # Now add the path to the local eigen3 include dir (for the nnls.h file)
+	sed -i '/^AM_CPPFLAGS/ s|$$| -I "$(BUILD_DIR)/libraries/Eigen"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
+
+  # Now add the path to the libsvm include dir
+	sed -i '/^AM_CPPFLAGS/ s|$$| -I "$(BUILD_DIR)/libraries/libsvm-3.0"|' $(BUILD_DIR)/autotools/Makefile.am-tmp
 
 	mv $(BUILD_DIR)/autotools/Makefile.am-tmp $(BUILD_DIR)/autotools/Makefile.am
 
 # Remove parts of boost_aux now integrated in boost
 	rm -f $(BUILD_DIR)/libraries/boost_aux/boost/interprocess/detail/*
 
+# Regenerate the configure script
 	cd $(BUILD_DIR)/autotools && autoreconf --force -i && cd .. && \
-	autotools/configure --prefix=/usr
+	autotools/configure --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 
 configure-stamp: configure
 	@echo "entering the configure-stamp target"
